Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
buratino2008

lisp tính khoảng cách giữa 2 điểm trên đường cong Pline

Các bài được khuyến nghị

doanduyhung    40
em đang cần lisp tính khoảng cách giữa 2 điểm bất kỳ trên đường cong Pline. em đang cần gấp để làm quy hoạch hạ tầng. cảm ơn nhiều

 

Thử xem:

(defun c:asd(/)

(princ "\nChon Polyline")

(setq chonpl (ssget))

(setq chondiemdau (getpoint "\nChon Diem Dau:"))

(setq chondiemcuoi (getpoint "\nChon Diem Cuoi:"))

(setq chieudai (abs (- (vlax-curve-getDistAtPoint (ssname chonpl 0) chondiemdau)

(vlax-curve-getDistAtPoint (ssname chonpl 0) chondiemcuoi)

)

)

)

(princ (strcat "\n" (rtos chieudai)))

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
em đang cần lisp tính khoảng cách giữa 2 điểm bất kỳ trên đường cong Pline. em đang cần gấp để làm quy hoạch hạ tầng. cảm ơn nhiều

không được rùi bạn ơi.Dù sao cũng cảm ơn bạn nha

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
không được rùi bạn ơi.Dù sao cũng cảm ơn bạn nha

Bạn thêm dòng (vl-load-com) dưới dòng : (defun c:asd(/)

 

Thử xem:

(defun c:asd(/)

(princ "\nChon Polyline")

(setq chonpl (ssget))

(setq chondiemdau (getpoint "\nChon Diem Dau:"))

(setq chondiemcuoi (getpoint "\nChon Diem Cuoi:"))

(setq chieudai (abs (- (vlax-curve-getDistAtPoint (ssname chonpl 0) chondiemdau)

(vlax-curve-getDistAtPoint (ssname chonpl 0) chondiemcuoi)

)

)

)

(princ (strcat "\n" (rtos chieudai)))

)

:tongue2:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
em đang cần lisp tính khoảng cách giữa 2 điểm bất kỳ trên đường cong Pline. em đang cần gấp để làm quy hoạch hạ tầng. cảm ơn nhiều

cũng không được bạn ạ. mình cần nó hiên lên text box thông báo khoảng cách sau khi thực hiên lệnh. ai giúp được thì cảm ơn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Nhắc nhở bạn buratino2008 : Bạn không được post 1 nội dung mà cả ở 3 topic khác nhau.

 

Bạn tham gia vào CADVIET, chắc rằng đầu tiên bạn đã đọc được dòng này :

 

Thể lệ tham gia cadviet

1. Không làm những việc trái với pháp luật nước Việt Nam.

2. Không làm những việc trái với lương tâm của bạn.

3. Sử dụng tiếng Việt có dấu khi post bài và không reply bài không có dấu.

4. Sử dụng chức năng search để tránh post lặp nội dung đã có.

5. Nhận lời cảm ơn của cadviet.

 

Bạn đã không những không sử dụng chức năng search của diễn đàn mà còn tự lập ra 3 topic có cùng 1 nội dung. Mời bạn vào đây : http://www.cadviet.com/forum/index.php?sho...amp;#entry77344

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
em đang cần lisp tính khoảng cách giữa 2 điểm bất kỳ trên đường cong Pline. em đang cần gấp để làm quy hoạch hạ tầng. cảm ơn nhiều

Sorry! Mình sẽ rút kinh nghiệm.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
em đang cần lisp tính khoảng cách giữa 2 điểm bất kỳ trên đường cong Pline. em đang cần gấp để làm quy hoạch hạ tầng. cảm ơn nhiều

mọi người cố gắng giúp mình nha.thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haisihai    4
mọi người cố gắng giúp mình nha.thanks

 

____________________________________________________________

Cách đây không lâu Tôi có đề tài tương đối giống câu hỏi của Anh. Anh vào phần VBA thì sẽ thấy câu hỏi của Anh trong mục này. Chúc Anh thành công.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
em đang cần lisp tính khoảng cách giữa 2 điểm bất kỳ trên đường cong Pline. em đang cần gấp để làm quy hoạch hạ tầng. cảm ơn nhiều

sao không co ai giup mình vậy

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nataca    553
cũng không được bạn ạ. mình cần nó hiên lên text box thông báo khoảng cách sau khi thực hiên lệnh. ai giúp được thì cảm ơn

Bạn muốn hiện lên thông báo thì đây:

(defun c:asd(/)

(vl-load-com)

(princ "\nChon Polyline")

(setq chonpl (ssget))

(setq chondiemdau (getpoint "\nChon Diem Dau:"))

(setq chondiemcuoi (getpoint "\nChon Diem Cuoi:"))

(setq chieudai (abs (- (vlax-curve-getDistAtPoint (ssname chonpl 0) chondiemdau)

(vlax-curve-getDistAtPoint (ssname chonpl 0) chondiemcuoi)

)

)

)

(alert (strcat "Khoang cach giua 2 diem vua chon la: " (rtos chieudai)))

)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×